# Manual do Utilizador do &kde;

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

servidor do &kde; - despoleta as actualizações da base de dados Sycoca quando for necessário.

## Sintaxe

    kded4 --help Opções genéricas Opções do Qt Opções do KDE --check

## Descrição

O `kded4` é responsável por criar o ficheiro 'sycoca', i.e., a 'cache' binária de tipos de serviços, tipos MIME e serviços para um determinado utilizador.

Este vigia as pastas que contêm ficheiros '.desktop'. Quando for adicionado/removido um ficheiro, ele espera alguns 5 segundos (para o caso de ser uma série de actualizações) e invoca depois o `kbuildsycoca`.

## Opções genéricas

`--author`

  Mostra informações sobre o autor.

`--help`

  Mostra a ajuda acerca das opções.

`--help-all`

  Mostra todas as opções.

`--help-kde`

  Mostra opções específicas do KDE.

`--help-qt`

  Mostra as opções específicas do Qt.

`--license`

  Mostra informações acerca da licença.

`-v` `--version`

  Mostra a versão.

## Opções da Aplicação

`--check`

  Verifica a base de dados do Sycoca apenas uma vez.

## Utilização

Se o `kded4` for invocado sem parâmetros e já estiver em execução, mostrará a mensagem:

    «KDE Daemon (kded) already running». (O Servidor do KDE (kded) já está em execução).

Se o `kded4` for invocado com o `kded4 --check`, então irá actualizar a base de dados do &kde; com o `kbuildsycoca`.

## Veja Também

opções-do-kde(7), opções-do-qt(7), kbuildsycoca(8)

## Problemas

Existem provavelmente bastantes erros. Use o bugs.kde.org para os comunicar.